Kerbal Space Program - Bug #9707

Move Tool shift Tail Fin before try to move
05/08/2016 05:34 PM - Navi1982

Status: Closed Start date: 05/08/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When Tail Fin is attached and trying to move it with Move Tool then it is slightly shifted right after mouse down and before move it.
This happens every time when mouse button down. Maybe this bug is similar to "LY-01 Fixed Landing Gear" that (I hope) is fixed in
v1.1.2... But this time shift is much smaller.

Playing stock carreer mode without any Mods... Just to be ensure that game is playable. Perhaps there is some temporary way to fix
it manually - without waiting for a new release? Thanks.

Related issues:

Related to Kerbal Space Program - Bug #10200: Certain parts jump out of place... Duplicate 07/27/2016
Related to Kerbal Space Program - Bug #11409: Clicking Offset Tool arrows in ... Not Fixed 09/14/2016
History

#1 - 05/20/2016 09:29 PM - Navi1982

I've found that there is more parts that have same bug. The bug may be described like:

Some attached parts is slightly shifting every time when trying move them on click to any axis and snap can be active or not. The way to reproduce
bug:

e Attach one of the part listed below to some main part (fuselage or tank for example).

¢ With snap active or not - select MoveTool and click (select) on buged part. A three axis will appear.

e Then click on any axis but do not drag it. The part will snap to virtual grid with slightly shift but will be shifted much more to the center of parent
part.

e Every time you'll click on any axis (without drag it) - the buged part will slightly shift to the center of parent part direction until it reaches the
maximum limit at the opposite side of the parent part.

Please, moderators, can you rename this bug report as Move Tool shifts some parts to the center of its parent each time any axis is clicked?
Below are the parts in the order they are discovered by me:

1.LY-01 Fixed Landing Gear

2. Tail Fin

3. TT-70 Radial Decoupler
4.TT18-A Launch Stability Enhancer
5. to be continued.

#2 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/18/2016 10:59 PM - Perry_Apsis
- File default.zip added

Easily reproduced. See attached save file, go to VAB and load "jumping part." Select offset tool and click on any one of the axes. This happens with
snap on or off, but the behavior is slightly different. In case save file does not load:

new, clean 1.1.3 install

start ksp_x64 (haven't tried with 32-bit)
add mk1 command pod

add fl-t800 tank

add LY-01 radially to tank

press 2
click the arrow-head on any axis

#4 - 07/18/2016 11:00 PM - Perry_Apsis
Perry_Apsis wrote:

Easily reproduced. See attached save file, go to VAB and load "jumping part." Select offset tool and click on any one of the axes. This happens
with snap on or off, but the behavior is slightly different. In case save file does not load:

new, clean 1.1.3 install

start ksp_x64 (haven't tried with 32-bit)
add mk1 command pod

add fI-t800 tank

add LY-01 radially to tank

press 2

select LY-01

click the arrow-head on any axis

#5 - 07/18/2016 11:05 PM - Perry_Apsis
- File KSP_log.zip added

Perry_Apsis wrote:
Perry_Apsis wrote:

Easily reproduced. See attached save file, go to VAB and load "jumping part." Select offset tool and click on any one of the axes. This
happens with snap on or off, but the behavior is slightly different. In case save file does not load:

new, clean 1.1.3 install

start ksp_x64 (haven't tried with 32-bit)
add mk1 command pod

add fl-t800 tank

add LY-01 radially to tank

press 2

select LY-01

click the arrow-head on any axis

#6 - 07/19/2016 02:15 AM - Perry_Apsis
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

#7 - 07/26/2016 03:55 PM - Navi1982
- Status changed from Updated to Confirmed

#8 - 07/28/2016 04:26 PM - sal_vager
- Related to Bug #10200: Certain parts jump out of place when grabbed with the offset tool added

#9 - 09/14/2016 03:06 PM - smjjames
- Related to Bug #11409: Clicking Offset Tool arrows in SPH causes part to jump added

#10 - 10/13/2016 07:44 PM - sal_vager
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

This should be improved, not perfect as you still have to disable angle snap to prevent parts snapping to the grid, but parts like the wheels will behave
much better.

#11 - 06/22/2017 08:34 PM - Squelch
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100
#12 - 06/22/2017 08:34 PM - Squelch

- Status changed from Resolved to Closed

Files

default.zip 6.88 KB 07/18/2016 Perry_Apsis

KSP_log.zip 27.6 KB 07/18/2016 Perry_Apsis
